- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoIndicatorBasedFitnessAssignment< MOEOT > Class Template Reference

Fitness assignment sheme based an Indicator proposed in: E. More...

`#include <moeoIndicatorBasedFitnessAssignment.h>`

Inheritance diagram for moeoIndicatorBasedFitnessAssignment< MOEOT >:

List of all members.

## Public Types
typedef MOEOT::ObjectiveVector | ObjectiveVector
| The type of objective vector.
## Public Member Functions
| moeoIndicatorBasedFitnessAssignment (moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > *_metric, const double _kappa)
| Ctor.
void | operator() (eoPop< MOEOT > &_pop)
| Sets the fitness values for every solution contained in the population _pop.
void | updateByDeleting (eoPop< MOEOT > &_pop, ObjectiveVector &_objVec)
| Updates the fitness values of the whole population _pop by taking the deletion of the objective vector _objVec into account.
double | updateByAdding (eoPop< MOEOT > &_pop, ObjectiveVector &_objVec)
| Updates the fitness values of the whole population _pop by taking the adding of the objective vector _objVec into account and returns the fitness value of _objVec.
## Protected Member Functions
void | setup (const eoPop< MOEOT > &_pop)
| Sets the bounds for every objective using the min and the max value for every objective vector of _pop.
void | computeValues (const eoPop< MOEOT > &_pop)
| Compute every indicator value in values (values[i] = I(_v[i], _o)).
void | setFitnesses (eoPop< MOEOT > &_pop)
| Sets the fitness value of the whple population.
double | computeFitness (const unsigned _idx)
| Returns the fitness value of the _idx th individual of the population.
## Protected Attributes
moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > * | metric
| the quality indicator
double | kappa
| the scaling factor
std::vector< std::vector< double > > | values
| the computed indicator values

## Detailed Description

### template<class MOEOT>
class moeoIndicatorBasedFitnessAssignment< MOEOT >

Fitness assignment sheme based an Indicator proposed in: E.

Zitzler, S. Künzli, "Indicator-Based Selection in Multiobjective Search", Proc. 8th International Conference on Parallel Problem Solving from Nature (PPSN VIII), pp. 832-842, Birmingham, UK (2004). This strategy is, for instance, used in IBEA.

Definition at line 28 of file moeoIndicatorBasedFitnessAssignment.h.

## Constructor & Destructor Documentation

template<class MOEOT>

moeoIndicatorBasedFitnessAssignment< MOEOT >::moeoIndicatorBasedFitnessAssignment | ( | moeoNormalizedSolutionVsSolutionBinaryMetric< ObjectiveVector, double > * | _metric,
|  | const double | _kappa |
| ) |  |  | `[inline]`

Ctor.

Parameters:

  | _metric | the quality indicator
  | _kappa | the scaling factor

Definition at line 41 of file moeoIndicatorBasedFitnessAssignment.h.

## Member Function Documentation

template<class MOEOT>

void moeoIndicatorBasedFitnessAssignment< MOEOT >::operator() | ( | eoPop< MOEOT > & | _pop | ) | `[inline, virtual]`

Sets the fitness values for every solution contained in the population _pop.

Parameters:

  | _pop | the population

Implements eoUF< eoPop< MOEOT > &, void >.

Definition at line 49 of file moeoIndicatorBasedFitnessAssignment.h.

References moeoIndicatorBasedFitnessAssignment< MOEOT >::computeValues(), moeoIndicatorBasedFitnessAssignment< MOEOT >::setFitnesses(), and moeoIndicatorBasedFitnessAssignment< MOEOT >::setup().

template<class MOEOT>

void moeoIndicatorBasedFitnessAssignment< MOEOT >::updateByDeleting | ( | eoPop< MOEOT > & | _pop,
|  | ObjectiveVector & | _objVec |
| ) |  |  | `[inline, virtual]`

Updates the fitness values of the whole population _pop by taking the deletion of the objective vector _objVec into account.

Parameters:

  | _pop | the population
  | _objVec | the objective vector

Implements moeoFitnessAssignment< MOEOT >.

Definition at line 65 of file moeoIndicatorBasedFitnessAssignment.h.

References moeoIndicatorBasedFitnessAssignment< MOEOT >::kappa, and moeoIndicatorBasedFitnessAssignment< MOEOT >::metric.

template<class MOEOT>

double moeoIndicatorBasedFitnessAssignment< MOEOT >::updateByAdding | ( | eoPop< MOEOT > & | _pop,
|  | ObjectiveVector & | _objVec |
| ) |  |  | `[inline]`

Updates the fitness values of the whole population _pop by taking the adding of the objective vector _objVec into account and returns the fitness value of _objVec.

Parameters:

  | _pop | the population
  | _objVec | the objective vector

Definition at line 86 of file moeoIndicatorBasedFitnessAssignment.h.

References moeoIndicatorBasedFitnessAssignment< MOEOT >::kappa, and moeoIndicatorBasedFitnessAssignment< MOEOT >::metric.

template<class MOEOT>

void moeoIndicatorBasedFitnessAssignment< MOEOT >::setup | ( | const eoPop< MOEOT > & | _pop | ) | `[inline, protected]`

Sets the bounds for every objective using the min and the max value for every objective vector of _pop.

Parameters:

  | _pop | the population

Definition at line 129 of file moeoIndicatorBasedFitnessAssignment.h.

Referenced by moeoIndicatorBasedFitnessAssignment< MOEOT >::operator()().

template<class MOEOT>

void moeoIndicatorBasedFitnessAssignment< MOEOT >::computeValues | ( | const eoPop< MOEOT > & | _pop | ) | `[inline, protected]`

Compute every indicator value in values (values[i] = I(_v[i], _o)).

Parameters:

  | _pop | the population

Definition at line 151 of file moeoIndicatorBasedFitnessAssignment.h.

References moeoIndicatorBasedFitnessAssignment< MOEOT >::values.

Referenced by moeoIndicatorBasedFitnessAssignment< MOEOT >::operator()().

template<class MOEOT>

void moeoIndicatorBasedFitnessAssignment< MOEOT >::setFitnesses | ( | eoPop< MOEOT > & | _pop | ) | `[inline, protected]`

Sets the fitness value of the whple population.

Parameters:

  | _pop | the population

Definition at line 173 of file moeoIndicatorBasedFitnessAssignment.h.

References moeoIndicatorBasedFitnessAssignment< MOEOT >::computeFitness().

Referenced by moeoIndicatorBasedFitnessAssignment< MOEOT >::operator()().

template<class MOEOT>

double moeoIndicatorBasedFitnessAssignment< MOEOT >::computeFitness | ( | const unsigned | _idx | ) | `[inline, protected]`

Returns the fitness value of the _idx th individual of the population.

Parameters:

  | _idx | the index

Definition at line 186 of file moeoIndicatorBasedFitnessAssignment.h.

References moeoIndicatorBasedFitnessAssignment< MOEOT >::kappa, and moeoIndicatorBasedFitnessAssignment< MOEOT >::values.

Referenced by moeoIndicatorBasedFitnessAssignment< MOEOT >::setFitnesses().

The documentation for this class was generated from the following file:

- moeoIndicatorBasedFitnessAssignment.h